ChangeSet 1.2069, 2004/10/19 15:14:51-07:00, khali@linux-fr.org

[PATCH] I2C: Spare 1 byte in lm90 driver

I just noticed the other day that the lm90 driver uses an u16 to store
the value of the 8-bit alarms register. This is most probably due to the
fact that I originally copied the lm90 driver from the lm83 driver,
which actually has two 8-bit registers for alarms, and obviously forgot
to change the variable type.


Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/i2c/chips/lm90.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/i2c/chips/lm90.c b/drivers/i2c/chips/lm90.c
--- a/drivers/i2c/chips/lm90.c	2004-10-19 16:54:14 -07:00
+++ b/drivers/i2c/chips/lm90.c	2004-10-19 16:54:14 -07:00
@@ -185,7 +185,7 @@
 	s16 temp_input2, temp_low2, temp_high2; /* remote, combined */
 	s8 temp_crit1, temp_crit2;
 	u8 temp_hyst;
-	u16 alarms; /* bitvector, combined */
+	u8 alarms; /* bitvector */
 };
 
 /*
